Bug 240633

Summary: [Linux] TextureMapperPlatformLayerProxyDMABuf should support different colorspaces
Product: WebKit Reporter: Zan Dobersek <zan>
Component: New BugsAssignee: Zan Dobersek (Reviews) <zdobersek>
Status: RESOLVED FIXED    
Severity: Normal CC: webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 240952    
Bug Blocks: 237649    

Description Zan Dobersek 2022-05-19 01:28:32 PDT
Right now, TextureMapperPlatformLayerProxyDMABuf defaults to converting multiplanar YUV data to RGB via the BT.601 conversion matrix. It should be possible for the incoming DMABufs to have the desired colorspace specified, and the proxy class should respect it to the point of selecting the appropriate conversion matrix.

Besides BT.601, other supported YUV colorspaces should be BT.709, BT.2020 and SMPTE 240M, matching the GStreamer GST_VIDEO_COLORIMETRY_* values.
Comment 1 Radar WebKit Bug Importer 2022-05-26 01:29:12 PDT
<rdar://problem/93957133>
Comment 2 Zan Dobersek 2022-05-31 00:23:10 PDT
Pull request: https://github.com/WebKit/WebKit/pull/1174
Comment 3 EWS 2022-05-31 06:03:46 PDT
Committed r295048 (251143@main): <https://commits.webkit.org/251143@main>

Reviewed commits have been landed. Closing PR #1174 and removing active labels.